/*¬Ģğ~ÞzġÑĘč*/import { EntityComponentTypes, EntityDamageCause, GameMode, system } from "\u0040\u006d\u0069\u006e\u0065\u0063\u0072\u0061\u0066\u0074\u002f\u0073\u0065\u0072\u0076\u0065\u0072";
/*ªïóøåwmÃěëØrėĐÎÉò÷ģËÉõĆÕÖxĘ*/export function spawningMechanics(warden) {/*ĝĄqô®sqlÞ£¶erÉčßĥĞ³*/
    const location = warden.location;/*sø³~ÝĄl*/
    const spawnChance = Math.floor(Math.random() * 100) + 1;/*kĥ·úÁiģ®äöĂÍÂÕÜĎgqfĦēÌöēn·i© ·¿§ďÆ*/
    if (spawnChance <= 25) {
/*|öoâđđċvÔĒĠĕ¦Ę×Ð²Í´úÑ*/        warden.dimension.spawnEntity('ptd:wardzilla_tail', location);/*ħ¦ê¯f­Ó´ħö®Í÷úĈòr×Ġ*/
        const players = warden.dimension.getPlayers({ location: location, maxDistance: 32 });
        players.forEach(player => {/*ĥï¤õ§ĠĔ©²č®ć®àf*/
            player.addEffect('darkness', 100, { amplifier: 2, showParticles: false });
        });
/*ďòfĦëtÓ§s üĎÇzÚæčiĥĪöçèø®āāîÔ*/        let delayDespawn = system.runTimeout(() => {
            warden.remove();/*jmnĐîāĂÎÚĎ°Ħăßp~dđÔøëé½½vÂpò*/
            system.clearRun(delayDespawn);/*ĨÂgāqħğ£d}²¯ĉ±yæyĦħĜćÛÄÛÆ »ġªÙ§ĪĩĊö*/
        }, 1);
/*msÚĔĠÑĕtòÒÓäÔč²kãxqġ*/    }/*ĜøjÀófÆĈýìč¨ÒâĆěwrtÁè÷*/
    return;
}
/*Ñ¿zÞsģ¹wĐÓğs½Ā¶ĢìčÓ³ć²sĀ*/export function wardzillaTailMechanics(wardzillaTail) {
/*üÆøđÞĂæpÑ*/    let cooldown = wardzillaTail.getProperty('ptd:cooldown');
    let tail_whip_timing = wardzillaTail.getProperty('ptd:tail_whip_timing');
    const tailLocation = wardzillaTail.location;/*É³µàÒ*/
/*à·×ídikīÖp¿iĔÙýîĖl¹ĘëÅµuÐk©Ğ~Ú®ÑÛ}«¥*/    const isSpawning = wardzillaTail.getProperty('ptd:spawning');
/*wĎ{¥ĥ¯£ÝĒëĕýsæ¸Ġh»Ĥòé½æ¹pjăĔiÛj*/    const isAttacking = wardzillaTail.getProperty('ptd:attacking');/*eċ¡eÎ¦ÞòÚÝ«hĕßÿÝhěė*/
    const isDead = wardzillaTail.getProperty('ptd:dead');
    const health = wardzillaTail.getComponent(EntityComponentTypes.Health).currentValue;/*ÝàÙîÞôĚĥēéÂÏqĔāĥĠ·ÎÒ~Ý»hoĀ{đlĠÓó´æþvÆk*/
/*ć¡ËīÑü¿ðìeĦk¨§ČÌyÌ*/    const nearbyPlayer = wardzillaTail.dimension.getPlayers({ location: tailLocation, excludeGameModes: [GameMode.creative, GameMode.spectator], maxDistance: 12, closest: 1 })[0];/*Ć½½iqĝ~ďéiÄ£«efħĦlºçÌîĚġýÚh©Ñúê§å*/
    const targetHostile = wardzillaTail.dimension.getEntities({ location: tailLocation, maxDistance: 12, closest: 1, families: ['monster'], excludeFamilies: ['wardzilla'] })[0];/*ē¦k}Îyñğ¨ĥútxÀr¹ĊÒ»¨ÌĪĚ¯ĚypĔĔēîÅéüĩêĐk*/
/*ē«å÷éØòÙÛ±ÎčåĩðîmÞùĕă¤ÎÜïà{*/    const targetOther = wardzillaTail.dimension.getEntities({ location: tailLocation, maxDistance: 12, closest: 1, excludeFamilies: ['player', 'monster', 'wardzilla', 'inanimate', 'projectile'], excludeTypes: ['minecraft:arrow', 'minecraft:xp_orb', 'minecraft:item', 'minecraft:thrown_trident', 'minecraft:breeze_wind_charge_projectile', 'minecraft:splash_potion'] })[0];/*Ð¼wğqhúħtïĘ~¨ÙĝĐě®¼*/
    if (!isSpawning) {/*²đīī}wèĔöğĪ*/
        if (nearbyPlayer && health > 100) {
            const playerLocation = nearbyPlayer.location;
            const deltaX = playerLocation.x - tailLocation.x;
/*ĊåàôdâÛ±×ýìĘĊ´ħqĄėÅ×¾ÔêÁď´Å·û½ĜÁđÙÒò*/            const deltaY = playerLocation.y - tailLocation.y;
            const yaw = ((Math.atan2(deltaY, deltaX)) * (180 / Math.PI)) - 90;/*ĂmėØ¼rzĉÿ*/
            const pitch = wardzillaTail.getRotation().x;/*éãx¥ëùÓěÌ¿¿ĝ¹ĕíÒĄÃģ¯ÐđéçÁĎêòÓ¬ãØ´ÞùÞõ*/
            const newRotation = { x: pitch, y: yaw };/*òühĂvĘßċģvĊĉîÓu¤*/
/*¬ØÒwáÆèe¹öòÝÜqĘÊñ*/            wardzillaTail.setRotation(newRotation);
            const playerDirection = nearbyPlayer.getViewDirection();
            const offset = 0.5;/*ôĊāûĪÏÜ²¨ĆÕã*/
            const offsetX = playerDirection.x * offset;/*ð»múÜ½ďgù{äúwę yÊĀµ¬õĥÒĈÀjeªÜÓĂ¡*/
/*ÒÆĩyÞÿĢhÁ*/            const offsetY = playerDirection.y * offset;
/*ÓÄÐÃ×hdÒòĆãrØæä¸jæÈÂ¤jt*/            const offsetZ = playerDirection.z * offset;/*ęiw°ĔģĔísõÂ¾| «ÍčĒâqr¥zÉå*/
            const shockwaveLocation = {
/*äiÜĉk¤µz»¶¬r*/                x: playerLocation.x + offsetX,/*µġĔdf*/
                y: playerLocation.y + offsetY,/*gâ¬fđföæù¦ìÇé×swqeº*/
/*øÎ¥ö¨°§ëvþĒëÜä³Ă{ÙjĆ×ÔÕn*/                z: playerLocation.z + offsetZ
/*Ħõ¨·Ăđ~v«Ý­Øęt²Àgj¬gz½¬põ½ċÎö vę*/            };
/*ÿĒìāÊďÄ¾êĩ´čjīÖ¿£È*/            if (cooldown === 0) {
                if (tail_whip_timing < 24) {
/*µðĂċěrĈïnrĞÿjh*/                    tail_whip_timing++;
                    wardzillaTail.setProperty('ptd:tail_whip_timing', tail_whip_timing);
/*éîóãÜh|ċ¤îsx»Ğ¼Ĉ´°ÒĚgÜü±ÅrØ«ÿ¼ĨÕ*/                }/*ēéêÎ¬zñ·à¥¯Ā¹g¦Âì{ĩękvĘ¡Ñ*/
/*ĖågĀĩîíØâsð»ÿ°¯ÓçĞĖêĨġåÂk*/                if (!isAttacking)/*¡ª·ýĜ·Ì¡{îfwìā*/
                    wardzillaTail.setProperty('ptd:attacking', true);
/*Áv´gĒėÆÏâ¸ć*/                if (tail_whip_timing === 24) {
                    if (isAttacking)/*ćçÆ ØhĦÙ°ħòëîĎÊáìÐģċõôÜíäđ«*/
                        wardzillaTail.setProperty('ptd:attacking', false);
                    wardzillaTail.dimension.spawnEntity('ptd:tailwhip_knockback', shockwaveLocation);/*ËÝ¦©³Ċãjnġý·ğäġ×čğĒyíÛġáõèüĎeæ*/
                    wardzillaTail.dimension.playSound('mob.wither.break_block', shockwaveLocation);
/*ąq×ÉosÑÚltøÅyãzÍÙ*/                    const shakeRadius = 28;
                    const shockwaveRadius = 16;/*Ø¡ýýse½ĤæiÓĚ}eċÏlõåĀßÌóÚĀ÷ÖÂ©tģùġf*/
                    wardzillaTail.dimension.getEntities({ location: shockwaveLocation, maxDistance: 28, excludeFamilies: ['wardzilla', 'inanimate', 'projectile'], excludeTypes: ['minecraft:arrow', 'minecraft:xp_orb', 'minecraft:item', 'minecraft:thrown_trident', 'minecraft:breeze_wind_charge_projectile', 'minecraft:splash_potion'] }).forEach(entity => {/*gêå {Ûûđtm¢dðúėØö¦Ĕ*/
/*Ý¨úæÝÆdĖĆñĂġčĊèº¬w÷×õĞÇpkčþm*/                        const entityType = entity.typeId;
/*ñćĒħïámĎêÌ¬ì¬|ËiÕ*/                        const entityLocation = entity.location;
                        const dx = entityLocation.x - shockwaveLocation.x;/*ďøīÿĞÿĔ×Ààlïï*/
                        const dy = entityLocation.y - shockwaveLocation.y;
/*ÜÔĈ¥lî*/                        const dz = entityLocation.z - shockwaveLocation.z;/*À¯ÕnÐ¯|ËđéøèĔăÄrĆîġą¹ĘüòěąĚ±¨ħ ¶¤ÓĈ£qf*/
                        const distance = Math.sqrt(dx * dx + dz * dz);/*£ĥþ³~kĐÒý ě²ÒĕÊĊÌīðć°ëzčsuÉ*/
                        const horizontalStrength = (shockwaveRadius - distance) / shockwaveRadius * (5 - 1) + 1;/*ÝÉĠÄĉĕĢöġdq}ĄÞ{r¡ĘzĜÒ*/
/*âå¥ć­¤çĎìÿü¨~Đ¥Þë*/                        const verticalStrength = (shockwaveRadius - distance) / shockwaveRadius * (5 - 2) + 2;/*­u±³ÝģôäÜĨĕìğĈ*/
/*Ė¿òÕ{ąÕĚÉ¶¾fÆq¯r°âĊ÷q~lă*/                        const randomOffset = Math.random() * (1 - 0.1) + 0.1;
                        const impulse = {/*âĢú¢Ćô¡g®ûwö÷ØÅ®ÛØÆðĪÔĤ ÝØªöåÒ¢èĈ*/
/*ú÷¹zÁÀ±èěÇkdđÖûfÑüÆÀć»w¿čxðī|õuÄât¸*/                            x: ((dx / distance) * horizontalStrength) + randomOffset,
/*ÕĀêq§·øğ½¡ěā¶êûÎºä¯Ħq£Ĕ±Èħ*/                            y: ((dy / distance) * verticalStrength) + randomOffset,/*ÑĊė¹¤½Ò´¥~É§ČÇ´vÛîĨiĥl*/
/*¤­£ĥ¾×ü¾Òïëóåº¬Ā*/                            z: ((dz / distance) * horizontalStrength) + randomOffset
/*ēčĀã}»×dĂÅsñĐn¾k¶ØğÙáó²æĒÀęīčØ½āďę*/                        };/*ĈĎ¯ćø÷ø}āĦħgĘ|t*/
                        if (entityType === 'minecraft:player') {
                            const shakeStrength = (shakeRadius - distance) / shakeRadius * (0.1 - 0.05) + 0.05;
                            entity.runCommandAsync(`camerashake add @s ${shakeStrength} 1 rotational`);
                        }/*Îkøsð¿Ĥè¶«}¸ÚäğìĤÁĝ*/
                        else if ((entityType === 'minecraft:iron_golem' || entityType === 'minecraft:ravager' || entityType === 'minecraft:warden' || entityType === 'minecraft:ender_dragon') && distance <= 16) {/*iéàËÅĊ·ÂćÛ¥µÅ´Îøé*/
/*Ĥëuě±ĀąñČī¡úīgēÒ{ġĠ¨Ø¬Ĝqró|qĤėÄÓ¦*/                            entity?.applyImpulse(impulse);
/*¼iÎþć¹ąûàĉ©¡àÊòÁÆ±*/                            entity?.applyDamage(40, { damagingEntity: wardzillaTail, cause: EntityDamageCause.entityAttack });
/*xgxĄĘ~ÞÅĒÒĦÖw¹ī¸Ć¿ĨĆÒ«òd®ÔeĀñ®*/                        }/*zÞĐÍĒ»Ą¡ßÜādôñ¦¬ñĨës*/
/*ėã¸¦Ąî÷Ćĉï·mnlwdĤôÓ·ēħçµėèúÂ·áąÕè¡¸¸*/                    });
/*¯ÿæàĨÈÊĐÌsĩĐ®h¼Ĥĕd­íÈ©Ĥjâà*/                    cooldown = 130;
/*¾ª¨ĚëĠĪv·¥ĆČææ{¹yĔlÅÍëøä*/                    wardzillaTail.setProperty('ptd:cooldown', cooldown);
/*Þfďn¦ÒoàĪ{¹~t~÷ÈīďÍÊđĊĦsÐúïÙÍldÉÞ*/                    tail_whip_timing = 0;
/*ĦĒĢæ³vè¿mzğÌÌgĠĜ|*/                    wardzillaTail.setProperty('ptd:tail_whip_timing', tail_whip_timing);
                }/*öqw÷¾ĄëÈ|rĖv*/
/*ªºÚwïi÷Ďä¥£ñnµ*/            }
/*ĤÆëÄÞºīÒÜēĔ­Ąā*/        }/*āõçhªdÊčþêÈĚĢÁèòk*/
/*ĨĞ»Õð±÷ÛgĦ*/        else if (targetHostile && health > 100) {/*yeãï«ògd¦q«ĝ¿ā½ÜĢĐì´ÄéĎdÉs¦yÒČĦ©xĒ¹ħġ¬*/
/*ĉ{ĚĞæĜĈÅąĩlă´Ī¿«ĤãÂďzÃÐ²¹áå*/            const targetLocation = targetHostile.location;
/*þø×ĒþČ¡ãýàÀg±ç÷člġëĞ Èè»ØÕfÀ~hě*/            const deltaX = targetLocation.x - tailLocation.x;
/*¥{fÇëêÛÅĩ*/            const deltaY = targetLocation.y - tailLocation.y;
/*Ó¨ąËoúĦ å¡gĄ|īĪiðďiàĉ*/            const yaw = ((Math.atan2(deltaY, deltaX)) * (180 / Math.PI)) - 90;/*ýĉòÉelÀ¹ÞëãðÃødôøû*/
/*Ď§Çī°ÄćģÕĤ{ąñqr¬od¿qßĐ¬Èą¾zÔÈxee*/            const pitch = wardzillaTail.getRotation().x;/*ÞðġĞĩØ*/
/*ëÌęzà¦ãÍ³àéħ¢īÅ*/            const newRotation = { x: pitch, y: yaw };
            wardzillaTail.setRotation(newRotation);/*ýĠħÅ´ěµ³»eĐ¼½ìÙ ¤ö|ēĤĥÌ¶Ąd¡Ă*/
/*wÛ»»ďÌÙÿà¶Öki¸ďÓÜ}l÷É§ěëÕ*/            const targetDirection = targetHostile.getViewDirection();/*ēdĪī*/
            const offset = 0.5;
            const offsetX = targetDirection.x * offset;
            const offsetY = targetDirection.y * offset;
            const offsetZ = targetDirection.z * offset;
/*ëûq°Åû¥§ĥðÁ÷Ü£ćáxÜ¼ßÖÄßÙqĈ´f*/            const shockwaveLocation = {
/*õĖ¡đėĦćĀĝĥī*/                x: targetLocation.x + offsetX,
/*ÖfÄoéĕq½Ødó¸õwĉÛ±¬éīùÁ*/                y: targetLocation.y + offsetY,/*·ħÒ¬ÙÂzħ~ĘĒñĖåi*/
                z: targetLocation.z + offsetZ
/*údÀ°¸dĘÍ*/            };
            if (cooldown === 0) {
/*ĂçěÄÊÚÛĥĖÓąÏ|Ã¤m´ÐĠþ¨Ä×ĖÜpëăā*/                if (tail_whip_timing < 24) {/*ÏÅĉĠòØðīÓ÷ÐyÄeĀÖÆÇæë¥ÍØ²uĉø±Ĕ å*/
/*uzmĆ±Ă}ÏĞġm÷òĞďĉ¬ÐğoďĂ*/                    tail_whip_timing++;
                    wardzillaTail.setProperty('ptd:tail_whip_timing', tail_whip_timing);/*îĉöÄÌÅ¥xĥºèÅ§éģ¢ĐĂ¢ĐxĘÕiÝt¥ûĞ*/
/*¿Ď¿ülĢùû±ĩÝr×¸ęĜăĝã²Çhõ¤»uÔí¤ÓÅĩÀđģºĄă*/                }/*íÁÁ¦Ăĕ¥ċèç¾éÀø¨jā*/
/*ćsģć|ûðģòf tôý± ć²ÜÕĢ{Ö«¤ėðĎí«*/                if (!isAttacking)
/*i}oďªîæqÞjĐĥčèĘóxĀê¶īÕÔÀĚĖēêĚxÏåi÷±*/                    wardzillaTail.setProperty('ptd:attacking', true);
                if (tail_whip_timing === 24) {
                    if (isAttacking)/*ďoÀªñČ£økþĩĄùĤ´ģp*/
                        wardzillaTail.setProperty('ptd:attacking', false);
                    wardzillaTail.dimension.spawnEntity('ptd:tailwhip_knockback', shockwaveLocation);
/*Èēãĝě¸ðå¬£v»ĘÏÉ¶ĩ³*/                    wardzillaTail.dimension.playSound('mob.wither.break_block', shockwaveLocation);/*»ÌÐĠÈþĆ{ñďÉĜ½ÕÍĢâ|Ú¾¢Ăë*/
                    const shakeRadius = 28;
                    const shockwaveRadius = 16;/*Õà§ùĂôë µtÛéu¡qĦà£§ęô~iĚđæĄĨéÿæÁwÏh*/
/*zúýçČÜĖÊ·ØksàÐģęċÓ³~ñ*/                    wardzillaTail.dimension.getEntities({ location: shockwaveLocation, maxDistance: 28, excludeFamilies: ['wardzilla', 'inanimate', 'projectile'], excludeTypes: ['minecraft:arrow', 'minecraft:xp_orb', 'minecraft:item', 'minecraft:thrown_trident', 'minecraft:breeze_wind_charge_projectile', 'minecraft:splash_potion'] }).forEach(entity => {/*jíÒí°ĩhĒpÈåā´üöą¥ęē ÈĊ*/
                        const entityType = entity.typeId;/*ãsĄÏqmãÐgÆxċ¢¤ģĥnµĜÇzÂñ*/
                        const entityLocation = entity.location;
/*čÉĚ©ģġė¡àđìxĀ¤å¥ĞÉÊß*/                        const dx = entityLocation.x - shockwaveLocation.x;
                        const dy = entityLocation.y - shockwaveLocation.y;/*ÃĈzÍ¾yj*/
                        const dz = entityLocation.z - shockwaveLocation.z;
                        const distance = Math.sqrt(dx * dx + dz * dz);/*|}āûēÒĔÞkÞ¾ÙÂäâÄçÄrzú­ĨĠûeĨ¾ÁĔÀĞÆ*/
                        const horizontalStrength = (shockwaveRadius - distance) / shockwaveRadius * (5 - 1) + 1;/*èăĀì×§ºăóö²ÐĠÀdÔ¬Ğæĉ¶æýĚº¯nj~ĪßeğìÐò*/
/*é¦¯{êqÈ¤«æª­·Č¾Ùú¹ĎĜµÊ«¬µĎÍÀe¦ÁĚÔĉĊó*/                        const verticalStrength = (shockwaveRadius - distance) / shockwaveRadius * (5 - 2) + 2;/*ģwµÁÚxÒęedījė*/
/*ģäĞèĖÃÔăý¬Á*/                        const randomOffset = Math.random() * (1 - 0.1) + 0.1;
/*pĩĞªğªlâĄeÐĢ½ĩ¸ÛÐÃnć­ĝêÆ¦ÃđÉĘğæ»*/                        const impulse = {/*iõÆÙĄģ§ÚhĨ¦Đċđùª¬ÒČ{üāúÞgùoìĜóĨ*/
/*n{Īùñ£ñäÁíĕyã¾Ø¤Æ°iĘĐČÈplěğíã¸ĐzČÁğČĒ*/                            x: ((dx / distance) * horizontalStrength) + randomOffset,
                            y: ((dy / distance) * verticalStrength) + randomOffset,/*ÄĈħçÞwúÇĐxðþđâĢÐđàĠãĎïmćkâęnòÿÎ|ċý±Đ*/
                            z: ((dz / distance) * horizontalStrength) + randomOffset/*g«ßĎÌÇþìÅĚĄì§ăĝėä¬dàĠù´Ó*/
                        };
/*´°dkĝrě*/                        if (entityType === 'minecraft:player') {
                            const shakeStrength = (shakeRadius - distance) / shakeRadius * (0.1 - 0.05) + 0.05;/*ġ³ãÉ¥Ąu ÔÍăÈÿòéĄĨ»±ħąß»*/
/*k§À£ćā¹čĠµē*/                            entity.runCommandAsync(`camerashake add @s ${shakeStrength} 1 rotational`);/*áèďý´ęČ¬£ĕqħĄØ¿¥ĝtÍr*/
/*»ĊæĜ}ÝméøÄ*/                        }
/*¦Ďw¼¸ãăĈsăĪĪ«zÈÃĚ¾áé*/                        else if ((entityType === 'minecraft:iron_golem' || entityType === 'minecraft:ravager' || entityType === 'minecraft:warden' || entityType === 'minecraft:ender_dragon') && distance <= 16) {/*ºõđĖ°ĝ¸sÒ*/
/*³æÖtÉãåàÚÃë ÛīÑxÎćī¨ÇÖÛ¢êģďæw*/                            entity?.applyImpulse(impulse);/*g¯Ĕô¯ìī|sīĪĈkÔq·ËĞöāċĂf¼ĞąÓģÓĤæ*/
/*īĠqéÇnÙ°úÐ½ñÁÜ*/                            entity?.applyDamage(40, { damagingEntity: wardzillaTail, cause: EntityDamageCause.entityAttack });
/*Ñ«gtxÁąĊçďvjÓÜ}¦Ýêx¥ĜmÜù*/                        }/*Ġùl×q¬ón´č¶Ê¾*/
/*íàúðåÿĄ©ěéûeąãÎ*/                    });/*pċĀqĢÜÓĤ³ďwâĊÊðĥgāõã»ÄõvÉÈÍ|ċÙÊ*/
                    cooldown = 130;
/*ÒćĔÄā£»yËàĩÛ¾mód*/                    wardzillaTail.setProperty('ptd:cooldown', cooldown);/*ÀĪàĕīâĩy äÄ}¡ÇÕ¼ãî»§èā|ręÙ±çg×*/
                    tail_whip_timing = 0;/*¼póìñĜtī{üĄdjhô¦»÷¨ê³¨eªºċēĝ¸ÎéğĕÑÀåĒą¢*/
                    wardzillaTail.setProperty('ptd:tail_whip_timing', tail_whip_timing);
/*îªÕµãçäÂ²þĐáeĥ½Ö¥çß*/                }/*ę¡¤m{¹Ą}É×hÛüûru«Ëďl¡½²½îûëĊ¥á­ Č*/
/*´Ćák¶Ć*/            }
/*ýÈ÷±ºêñÃÛċâövdîí«ĞÎÎyĦ¬ÁĒ®}ÆĠĜ*/        }
/*Ī¾©·hÝÆĘ*/        else if (targetOther && health > 100) {/*øÏî÷×ôòwÐðú§îďÈÓëæûÛ ċÓ*/
/*Čz­ÿÂh¬¡|āĘ×øĒûßĖñ*/            const targetLocation = targetOther.location;
/*åĀ®Ęġ×´¹ëČ*/            const deltaX = targetLocation.x - tailLocation.x;
            const deltaY = targetLocation.y - tailLocation.y;/*Ē¯ü¾ô¸§ÈmðÂčÉ£¥|îçµÎćĨmËēþfÊwíÜ|ð»Č*/
            const yaw = ((Math.atan2(deltaY, deltaX)) * (180 / Math.PI)) - 90;
/*²ºÝ­Ħ*/            const pitch = wardzillaTail.getRotation().x;
            const newRotation = { x: pitch, y: yaw };
/*ú¹ºēôąëíġÕþ*/            wardzillaTail.setRotation(newRotation);
/*õĚ×rõÅÆÒģº¥àĖċÈĤ*/            const targetDirection = targetOther.getViewDirection();
/*Þù}ÀĝÆÿÓ£ĜĔlĈñÔz½Ċ¯ĉkÎ*/            const offset = 0.5;/*ğ´ĩ¢÷ĞĦÃ³ lījĥÕr½Đ¥ĐāuýÑ§āw pĢ¸ČtÇ*/
            const offsetX = targetDirection.x * offset;
/*Ī~āġù¿ĖþÛĖÞÃ¸jué¨ğpģęĖ¬Ġ±ĨÄü*/            const offsetY = targetDirection.y * offset;/* oÌâyñÖç£² áñĚ*/
            const offsetZ = targetDirection.z * offset;/*jÝĚÚÁÓĕ±¯ü È|ī¬Ä¼ĈĆgĩ»·Ģ*/
            const shockwaveLocation = {
                x: targetLocation.x + offsetX,
                y: targetLocation.y + offsetY,
                z: targetLocation.z + offsetZ
/*hĊĨćĉÚ¦*/            };/*Ěââ²Â¿¬ĥÛĄĩÎuĩ÷ą±´ÝÌþoÿÐ¾íÃùĈ¥ªm®*/
/*µ÷ùąÀÔ²*/            if (cooldown === 0) {/*Ü¥êÐØ ¾¨yĂēËéå*/
                if (tail_whip_timing < 24) {/*ÆĦ«ºĂĒªā·z±ĩąčî}rzðĎØ*/
/*²ó¡Ĕï¹ºwòsÎo×ÚäĂÂuxvÅÕČÕÎ½kĐ Ĥ£æ·ÊÂė*/                    tail_whip_timing++;/* ĔëĔíÍ¥ĠÄ*/
                    wardzillaTail.setProperty('ptd:tail_whip_timing', tail_whip_timing);/*ĝĈuäĄÕÜ¤«ăýtĨďÕÌöĎĊj§¬ir*/
                }/* Ċx ĐićċòËot®Ý¢ªèÛoğ±Ã*/
                if (!isAttacking)/*° Ďīþ¿Ä»ĈäùrnĐččkāČÁĖ*/
/*ÖĄĂēą®eěª¬Ĥn|¢ğâočČÔ¨÷ĝăílq¹ãí ü*/                    wardzillaTail.setProperty('ptd:attacking', true);/*Ômª¤vù¥t¿íuÏîåċ ĤÁÓÌĆiÂĦħ©§č´Ē¿ĄíČØý°Èg ¨ö*/
/*³áªĆÍøçúµôÎ´ÍøÎËĆęÒk*/                if (tail_whip_timing === 24) {/*·ÏqrìÂ÷ðĝpyÔäČÕÀ|â*/
                    if (isAttacking)/*æğ²ÄßöþĔ¢üęìæ nĔÃ·ĕĒ´ĩ±°øk iĉĜmý*/
                        wardzillaTail.setProperty('ptd:attacking', false);/*ÆģĐÏå©*/
                    wardzillaTail.dimension.spawnEntity('ptd:tailwhip_knockback', shockwaveLocation);
/*ĘÞëdfĐčġÿvĔĠoĊ¼Ħďþê*/                    wardzillaTail.dimension.playSound('mob.wither.break_block', shockwaveLocation);
                    const shakeRadius = 28;
/*ćðĉü ģÃfĩėf¸õąĜ¸°jċÇĦµÊðÞÂĥ*/                    const shockwaveRadius = 16;
                    wardzillaTail.dimension.getEntities({ location: shockwaveLocation, maxDistance: 28, excludeFamilies: ['wardzilla', 'inanimate', 'projectile'], excludeTypes: ['minecraft:arrow', 'minecraft:xp_orb', 'minecraft:item', 'minecraft:thrown_trident', 'minecraft:breeze_wind_charge_projectile', 'minecraft:splash_potion'] }).forEach(entity => {/*ãv¡¡»Ô*/
/*æÆsÜÑðè}ù¦îãÕü~ĤÄ¶nÿó*/                        const entityType = entity.typeId;
                        const entityLocation = entity.location;/*¨â{ÂyĩvÃüõ¨ĀĨğõõåãĞ~ÝěĞïüÅ·ćĦĄò³*/
                        const dx = entityLocation.x - shockwaveLocation.x;/*»g~i*/
/*ĨĎÍÊ°È½ąºÃü¡÷{ħăÜ*/                        const dy = entityLocation.y - shockwaveLocation.y;/*ùµč²ÍĐđ¨àðÒÁý{µdégĖqęîÄĢõïsě*/
                        const dz = entityLocation.z - shockwaveLocation.z;/*Ö§øĖþãĀĂĚÈ|ÆĀªĚw³À Ò|*/
/*Ĕk¹§t¹ÇõíĖĀ~Á¹Òã¢đqĪĪjĩynÞê§ßĝĕĘàěÓ*/                        const distance = Math.sqrt(dx * dx + dz * dz);
                        const horizontalStrength = (shockwaveRadius - distance) / shockwaveRadius * (5 - 1) + 1;
/*ĕĩxkĈóÁĤÎªÔþêĎøl¢oÔêiÑÊ±ùÓāuuà§}~«*/                        const verticalStrength = (shockwaveRadius - distance) / shockwaveRadius * (5 - 2) + 2;/*Íö×ïĤĊčĨq´ö¿ĀkĩġßûīÌÅqÅ®*/
/*ĕå{ď|ĉ¥x¥ÊzėçăÚì·}ü ¬éÁĠĥîó§ĉúĖèĥĢµĪĕòĄĘ*/                        const randomOffset = Math.random() * (1 - 0.1) + 0.1;/*ĠÎĕÿÊĉÕċÐúĤÇÇÖÒĊĥÕĥÃßâÂm¬×ĥĈýî*/
                        const impulse = {
                            x: ((dx / distance) * horizontalStrength) + randomOffset,/*jĥ±«ĒoğĪĥÊîËº¸×*/
/*ģÑÐØ¡âw´ÿðïĆ£Êģ×ď²ØÈĢôêĔÎz*/                            y: ((dy / distance) * verticalStrength) + randomOffset,
/*tĄĖĢĕÒúĔíýÚÂ¹ďā¤ø÷ēã»Ăâģċ~nÞlùģì*/                            z: ((dz / distance) * horizontalStrength) + randomOffset
/*Ô©Čÿę®²÷­Ôp²ĪspĆkéĉymĆąĈĪ*/                        };/*Åd¶ºĔxćģġÏìi¥ç ÓôęÿeÍµåØ²ïĢnê·*/
/*±£~Ð»¦»u÷Ēē£ęĠÄµĦğýÌ¸*/                        if (entityType === 'minecraft:player') {
/*mì¨ăÝý¸ÐÄåËĚ±³çč*/                            const shakeStrength = (shakeRadius - distance) / shakeRadius * (0.1 - 0.05) + 0.05;
                            entity.runCommandAsync(`camerashake add @s ${shakeStrength} 1 rotational`);/*±âÅĎôpÔ«ÒêĪďoªģkĘ¾õÆÖ*/
                        }
/*zÑì÷¬µčõhāÍóË¤ÆăúĤëdØ Áèïûîª*/                        else if ((entityType === 'minecraft:iron_golem' || entityType === 'minecraft:ravager' || entityType === 'minecraft:warden' || entityType === 'minecraft:ender_dragon') && distance <= 16) {
/*»¶ýd×ÞÛħúė¹Á¿Üç|ÍēēęĔ®ĊîÓÔn£Ò»Ĥ*/                            entity?.applyImpulse(impulse);
/*íÌĦdģëüâÇĉĐĒ|¡ÆáĠ*/                            entity?.applyDamage(40, { damagingEntity: wardzillaTail, cause: EntityDamageCause.entityAttack });
                        }/*ÅÞwk¿*/
/*íĒò²½ */                    });
                    cooldown = 130;
                    wardzillaTail.setProperty('ptd:cooldown', cooldown);
/*¤´tôÖ±ù¡ñÉºsy¶ÁĨÍę|øØÏå÷õĚ¾xÁĤåÛÕ*/                    tail_whip_timing = 0;/*¬uĖäďpÉī*/
                    wardzillaTail.setProperty('ptd:tail_whip_timing', tail_whip_timing);/*zğ¾ÊÍ ĦÇą¬ðhhē­¬ô*/
/*Ìĩe½ĉ©÷µ´tĘpîÌ*/                }
            }/*ĊçāÇīĖhÑĢ ¬ÛđĈðhdālö*/
        }
/*ąíÛfôvÇØµāáÇãÌąĎÅá®¯¼Ħ ĕÒĘýĂÇlĆē¯īy*/        else if (isAttacking && health > 100) {/*}ÌÃéÙî²ëáÕ³ğĝ·ĉ´ÖâīfÄïåÑnàāxėËÞ¦é*/
/*ÉĆÙþèÃËě§²¼ÂÆpĔõ°ÜāµdāĢĝĖòđì*/            wardzillaTail.setProperty('ptd:attacking', false);/*Úàă¸èh´ĕġĒnĔzáÝÁÚõá¶ği±£jÚ¯ĦËµÑ*/
/*ąĞú£ßÿïçñÓ{¥ÝÌÇĢ§ĒñþkÆ²°īÄ~àāyÖöxĂøníď*/            cooldown = 130;/*ÉěfÜČþ×¤«Î«ė·²ġ·īÂe¡óþÊ´fġzÇõè¹ĦĖ¨é*/
/*ĉª¦ãäĜÏftħnö*/            wardzillaTail.setProperty('ptd:cooldown', cooldown);/*»Ûĥèüö÷Ö÷ÀoÖ¡ÿ¼Ìp³ÍîĊáhĚ½Ï¡ÒÜòÍ*/
            tail_whip_timing = 0;
            wardzillaTail.setProperty('ptd:tail_whip_timing', tail_whip_timing);
/*¨Ë{đ}Ãđģøė¥ġğ£f×ą*/        }
        else if (health <= 100) {/*¶´êµÈ*/
            if (!isDead) {
/*ÁØlzfęā×ēñĢ*/                wardzillaTail.triggerEvent('ptd:phase2');/*¦âç»h*/
                let summonWardzilla = system.runTimeout(() => {
                    wardzillaTail.dimension.spawnEntity('ptd:wardzilla', tailLocation);
/*ăÞđoěÊčėÏĎüĕ*/                    wardzillaTail.remove();/*}ĪĝØÜ«uè*/
                    system.clearRun(summonWardzilla);
                }, 66);/*ýī­ăiî*/
            }/*ûĎkÉ¶î¯±*/
/*Õ¨½¹ěďuÒª·ÑćÅ·ĠĂĕ¡¤xÜÃÌÁĩ*/        }
        ;/*£­Ù{·rîðĚâÛĒq²*/
        cooldown = Math.max(cooldown - 1, 0);/*ÊjãôÎÕÉĨâºáă¨Ğċ¦~ĉ¬}ĦĀyÙ|ÛĞÛĊÌ¤*/
        wardzillaTail.setProperty('ptd:cooldown', cooldown);
/*mi¿Ñċħ°Áæèó*/    }/*ÆğÖd¹ģ¶¡Î|ÂÞěĞÌ¬*/
/*çĆĢªīÐÊðüÊwă»ÔÕ¸¨ò */    return;/*~Ím£ęØ´Ö¨ýē¦¶ġà}ĝ¼âÈ*/
/*÷÷ÆàºĞ¼Òã¤wnàò×w®ójwäÚzwÃï{{*/}/*fÚd¡ĥú¤īãÍø{ÃØÍjÚËĥ*/
/*Ø¼ħøÃ¹øĝïñ¶{*/